import * as vite from 'vite';
import { InlineConfig } from 'vite';
import { Nuxt } from '@nuxt/schema';
import { InlineConfig as InlineConfig$1 } from 'vitest';

interface GetVitestConfigOptions {
    nuxt: Nuxt;
    viteConfig: InlineConfig;
}
declare function getVitestConfig(options?: GetVitestConfigOptions): Promise<InlineConfig & {
    test: InlineConfig$1;
}>;
declare function defineConfigWithNuxtEnv(config?: InlineConfig): Promise<vite.UserConfig | vite.UserConfigFn>;

export { defineConfigWithNuxtEnv, getVitestConfig };
