import { EventHandler } from 'h3';
import { VueWrapper } from '@vue/test-utils';
import { DefineComponent } from 'vue';

declare function registerEndpoint(url: string, handler: EventHandler): void;
declare function mockNuxtImport<T = any>(name: string, factory: () => T | Promise<T>): void;

declare function mountSuspended<T extends DefineComponent<any, any, any, any>>(component: T): Promise<VueWrapper<InstanceType<T>>>;

export { mockNuxtImport, mountSuspended, registerEndpoint };
